account.getAutoSaveSettings
Get autosave settings
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get autosave settings
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getAutoSaveSettings" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "account.autoSaveSettings", "usersSettings": { "_": "autoSaveSettings", "photos": true, "videos": true, "videoMaxSize": "string" }, "chatsSettings": { "_": "autoSaveSettings", "photos": true, "videos": true, "videoMaxSize": "string" }, "broadcastsSettings": { "_": "autoSaveSettings", "photos": true, "videos": true, "videoMaxSize": "string" }, "exceptions": [ { "_": "autoSaveException", "peer": { "_": "peerUser", "userId": 0 }, "settings": { "_": "autoSaveSettings", "photos": true, "videos": true, "videoMaxSize": "string" } } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getAutoDownloadSettings
Get media autodownload settings
getBotBusinessConnection
Bots may invoke this method to re-fetch the `RawUpdateBotBusinessConnect` constructor associated with a specific [business connection_id, see here »](https://core.telegram.org/api/bots/connected-business-bots) for more info on connected business bots. This is needed for example for freshly logged in bots that are receiving some `RawUpdateBotNewBusinessMessage`, etc. updates because some users have already connected to the bot before it could login. In this case, the bot is receiving messages from the business connection, but it hasn't cached the associated `RawUpdateBotBusinessConnect` with info about the connection (can it reply to messages? etc.) yet, and cannot receive the old ones because they were sent when the bot wasn't logged into the session yet. This method can be used to fetch info about a not-yet-cached business connection, and should not be invoked if the info is already cached or to fetch changes, as eventual changes will automatically be sent as new `RawUpdateBotBusinessConnect` updates to the bot using the usual [update delivery methods »](https://core.telegram.org/api/updates).